Kerbal Space Program - Bug #20750

New DeltaV system and stages are working incorrectly when changing root parts.
12/23/2018 12:47 AM - Anth12

Status: Not a Bug Start date: 12/23/2018
Severity: Low % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.6.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Steam 1.6.0.2395 MH 1.6.0
If I move the root part down into other stages the deltav stops calculating other stages.
The screenshots show the deltav calculations missing on the right.

Crafts relate to each of the screenshots.

History

#1 - 12/23/2018 08:50 AM - Anonymous

The mods that we have used before KSP had a delta-V calculator, Basic Delta-V and KER, behaved the same way. They assume that the payload is
the root part and tell you how much you can accelerate that payload.

Drop-tanks and daughter-ships are things that might be decoupled after starting the last engine to accelerate the payload, and so these things appear
higher in staging than payload.

| cannot think of any argument that this is the only way to handle a changing root part, but it been done this way before.

#2 - 01/03/2019 07:31 AM - diomedea

- File screenshot3179.png added

- Category changed from Controls and Ul to Application
- Status changed from New to Not a Bug

Works exactly as intended. The root part determines what stays with the vessel after stages are detached; Delta-V is computed for the vessel, not
other detached parts. What stages are beyond the root part are considered payload: Delta-V Info shows the routine accounting them as such and
therefore not including Delta-V for those stages with the vessel Delta-V.

#3 - 01/04/2019 06:11 AM - Anth12

Cool. Thanks for the clarification

Files

Top Root Part.png 2.64 MB 12/23/2018 Anth12
Middle Root Part.png 2.64 MB 12/23/2018 Anth12
Bottom Root Part.png 2.64 MB 12/23/2018 Anth12
Root Part Delta V Test Top.craft 29.4 KB 12/23/2018 Anth12
Root Part Delta V Test Middle.craft 29.4 KB 12/23/2018 Anth12
Root Part Delta V Test Bottom.craft 29.4 KB 12/23/2018 Anth12
screenshot3179.png 1.32 MB 01/03/2019 diomedea
